import request from '@/utils/request'

// 查询租户订阅信息列表
export function listSubInfo(query) {
  return request({
    url: '/pay/subInfo/list',
    method: 'get',
    params: query
  })
}

// 查询租户订阅信息详细
export function getSubInfo(id) {
  return request({
    url: '/pay/subInfo/' + id,
    method: 'get'
  })
}

// 新增租户订阅信息
export function addSubInfo(data) {
  return request({
    url: '/pay/subInfo',
    method: 'post',
    data: data
  })
}

// 修改租户订阅信息
export function updateSubInfo(data) {
  return request({
    url: '/pay/subInfo',
    method: 'put',
    data: data
  })
}

// 删除租户订阅信息
export function delSubInfo(id) {
  return request({
    url: '/pay/subInfo/' + id,
    method: 'delete'
  })
}
